GET /bsus/api/v1/post_upgrade_script/script - Adaptive Applications - BlueCat Gateway - 22.1

BlueCat Server Update Services Administration Guide

ft:locale
en-US
Product name
BlueCat Gateway
Version
22.1

Description

Retrieves BSUS's current list of customization package names and IDs that were imported into BSUS. Imported packages can then be assigned to a Server Batch.

Parameters

None.

Responses

Status Description
Successful

Code: 200

Body:
[
  {
    "id":"string",
    "name":"string"
  }
]

Results:
  • id—a hashed ID for the customization package.
  • name—the user-facing name given to the customization package.
Error

Code: 401

Unauthorized user.

Code: 500

Internal server error.

Body:
{
    "error": "string"
}

This can be caused when an unknown application error is encountered on the Server side. The API attempts to return additional details within the error parameter.